Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Next generation Beep Media Player
Name:		bmpx
Version:	0.40.14
Release:	2
License:	GNU/GPL
URL:		http://bmpx.berlios.de
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
Patch1:		bmpx-libsoup24.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  curl-devel fam-devel intltool
BuildRequires:  pkg-config xine-lib-devel 
BuildRequires:	hal-devel 
BuildRequires:	zlib-devel
BuildRequires:	libsexy-devel boost-devel
BuildRequires:	fftw-devel
BuildRequires:	pangomm-devel
Requires:       gst-plugins-base gst-plugins-good desktop-file-utils

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: bash
BuildRequires: boost-devel
BuildRequires: cairo-devel
BuildRequires: cairomm-devel
BuildRequires: cdparanoia-III-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: glibmm-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: gtk2+-devel
BuildRequires: gtkmm-devel
BuildRequires: libglade-devel
BuildRequires: libglademm-devel
BuildRequires: libICE-devel
BuildRequires: libofa-devel
BuildRequires: librsvg-devel
BuildRequires: libsexymm-devel
BuildRequires: libsigc++-devel
BuildRequires: libSM-devel
BuildRequires: libsoup-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: pango-devel
BuildRequires: sqlite-devel
BuildRequires: taglib-devel

%description
Next generation Beep Media Player

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig
update-desktop-database

%postun
ldconfig
update-desktop-database

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
libtoolize -f -c
autoreconf

%build
#autoreconf
%configure 	--prefix=%_prefix \
	  	--enable-xine \
		--disable-sn --disable-hal
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install
rm -rf $RPM_BUILD_ROOT/usr/bin/bmp2
ln -s /usr/bin/beep-media-player-2 $RPM_BUILD_ROOT/usr/bin/bmp2

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
/usr/libexec
%_libdir/bmpx
%_datadir

%files devel
%defattr(-,root,root)
%_includedir
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.40.14-2
- rebuilt against boost 1.40.0
* Fri Oct 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.40.14-1
- version update
* Sat Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.40.13-2
- rebuilt against libsoup 2.4
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.40.13-1
- version update
* Thu Oct 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.40.10-1
- version update
* Sun Aug 12 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.40.1-1
- Version update
* Fri Sep 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.13-3
- rebuilt against dbus 0.93
* Mon Sep 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.13-2
- rebuilt against X.org 7.1.1
* Fri Feb 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.13-1
- Version update
* Wed Nov 30 2005 Christian Wasem <wasem@ccux-linux.de> 0.12.9-2
- moved more files to devel, added --disable-sn to configure
* Wed Nov 30 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.12.9-1
- Initial Release
